<?php
namespace DubidamPlugin;

use DubidamPlugin\Widgets\Rdn_Slider;
use DubidamPlugin\Widgets\Dubidam_Portfolio;
use DubidamPlugin\Widgets\Dubidam_PortfolioMasonry;
use DubidamPlugin\Widgets\Dubidam_PortfolioInfo;
use DubidamPlugin\Widgets\Dubidam_Title;
use DubidamPlugin\Widgets\Dubidam_PortfolioTitle;
use DubidamPlugin\Widgets\Dubidam_PortfolioCategory;
use DubidamPlugin\Widgets\Dubidam_Team;
use DubidamPlugin\Widgets\Dubidam_TeamHover;
use DubidamPlugin\Widgets\Dubidam_Testimonial;
use DubidamPlugin\Widgets\Dubidam_TextIcon;
use DubidamPlugin\Widgets\Dubidam_TextIconHover;
use DubidamPlugin\Widgets\Dubidam_Post;
use DubidamPlugin\Widgets\Dubidam_PostTwo;
use DubidamPlugin\Widgets\Dubidam_PostThree;
use DubidamPlugin\Widgets\Dubidam_PostFour;
use DubidamPlugin\Widgets\Dubidam_PostSlider;
use DubidamPlugin\Widgets\Dubidam_Menu;
use DubidamPlugin\Widgets\Dubidam_Contact;
use DubidamPlugin\Widgets\Dubidam_OtherPortfolio;
use DubidamPlugin\Widgets\Dubidam_Gallery;
use DubidamPlugin\Widgets\Dubidam_MasonGallery;
use DubidamPlugin\Widgets\Dubidam_Logo;
use DubidamPlugin\Widgets\Dubidam_Sidebar;
use DubidamPlugin\Widgets\Dubidam_Share;



if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Main Plugin Class
 *
 * Register new elementor widget.
 *
 * @since 1.0.0
 */
class DubidamPlugin {

	/**
	 * Constructor
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	public function __construct() {
		$this->add_actions();
	}

	/**
	 * Add Actions
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function add_actions() {
		//register all script 
		add_action( 'elementor/widgets/widgets_registered',[ $this, 'on_widgets_registered' ] );
		//isotope script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('jquery-isotope',DUBIDAM_URL .'widgets/js/isotope.pkgd.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-portfolio',DUBIDAM_URL .'widgets/js/portfolio.js', array('jquery'), null, true  );} );
		//blog masonry script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-blog-masonry',DUBIDAM_URL .'widgets/js/blog-mason.js', array('jquery'), null, true  );} );
		//slider script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('jquery-slick',DUBIDAM_URL .'widgets/js/slick.min.js.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-animation',DUBIDAM_URL .'widgets/js/slick-animation.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-slider-script',DUBIDAM_URL .'widgets/js/slider.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-blog-slider-script',DUBIDAM_URL .'widgets/js/blog-slider.js', array('jquery'), null, true  );} );
		//gallery popup
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('jquery-magnificpopup',DUBIDAM_URL .'widgets/js/jquery.magnific-popup.min.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-gallery-popup',DUBIDAM_URL .'widgets/js/popup-gallery.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-blog-script',DUBIDAM_URL .'widgets/js/blog.js', array('jquery'), null, true  );} );
		
		//gallery  masonry
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-masonry-gallery',DUBIDAM_URL .'widgets/js/mason-gallery.js', array('jquery'), null, true  );} );
		
		//share script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('dubidam-share',DUBIDAM_URL .'widgets/js/share.js', array('jquery'), null, true  );} );
		
	}

	/**
	 * On Widgets Registered
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	public function on_widgets_registered() {
		$this->includes();
		$this->register_widget();
	}

	/**
	 * Includes
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function includes() {
		require __DIR__ . '/widgets/rdn-slider.php';
		require __DIR__ . '/widgets/portfolio.php';
		require __DIR__ . '/widgets/portfolio-masonry.php';
		require __DIR__ . '/widgets/portfolio-info.php';
		require __DIR__ . '/widgets/portfolio-title.php';
		require __DIR__ . '/widgets/portfolio-category.php';
		require __DIR__ . '/widgets/title.php';
		require __DIR__ . '/widgets/testimonial.php';
		require __DIR__ . '/widgets/team.php';
		require __DIR__ . '/widgets/team-hover.php';
		require __DIR__ . '/widgets/text-icon.php';
		require __DIR__ . '/widgets/text-icon-hover.php';
		require __DIR__ . '/widgets/post.php';
		require __DIR__ . '/widgets/post-two.php';
		require __DIR__ . '/widgets/post-three.php';
		require __DIR__ . '/widgets/post-four.php';
		require __DIR__ . '/widgets/post-slider.php';
		require __DIR__ . '/widgets/menu.php';
		require __DIR__ . '/widgets/contact.php';
		require __DIR__ . '/widgets/other-portfolio.php';
		require __DIR__ . '/widgets/gallery.php';
		require __DIR__ . '/widgets/mason-gallery.php';
		require __DIR__ . '/widgets/logo.php';
		require __DIR__ . '/widgets/sidebar.php';
		require __DIR__ . '/widgets/share.php';
		
	}
	

	/**
	 * Register Widget
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function register_widget() {
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Rdn_Slider() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Portfolio() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PortfolioMasonry() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PortfolioInfo() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PortfolioTitle() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PortfolioCategory() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Title() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Team() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_TeamHover() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Testimonial() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_TextIcon() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_TextIconHover() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Post() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PostTwo() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PostThree() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PostFour() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_PostSlider() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Menu() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Contact() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Gallery() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_MasonGallery() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_OtherPortfolio() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Logo() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Sidebar() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Dubidam_Share() );
		
	}
}

new DubidamPlugin();



